Next Previous Contents

## 3.13 PEEKW

> Function

>   Read a word (two bytes) from memory.

> Header

>   `peekpoke.h`

> Declaration

>   `unsigned PEEKW (unsigned addr);`

> Description

>   The function will read the absolute memory given by `addr` and return the value read. The byte read from the higher address is the high byte of the return value.

> Limits

>   - The function is actually a macro.
>   - This function depends highly on the platform and environment.
>   - The order in which the two bytes are read is unspecified and may depend of the address expression used.
> Availability

>   cc65

> See also

>   PEEK, POKE

> Example

>   None.

Next Previous Contents